Bug 827252 - cannot scroll up with mouse wheel
cannot scroll up with mouse wheel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 20:03 EDT by Peter Backes
Modified: 2012-07-05 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 19:42:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 675089 None None None 2012-06-04 11:41:29 EDT

  None (edit)
Description Peter Backes 2012-05-31 20:03:48 EDT
Description of problem:
scrolling up with the mouse wheel doesn't work in gnumeric

Version-Release number of selected component (if applicable):
gnumeric-1.11.3-1.fc17.i686

How reproducible:
always

Steps to Reproduce:
1. start gnumeric
2. scroll down by any method (scroll wheel, mouse, keyboard or otherwise)
3. try to scroll up with mouse wheel
  
Actual results:
nothing happens in step 3

Expected results:
document scrolled up
Comment 1 Julian Sikorski 2012-06-03 04:38:10 EDT
Confirmed. Morten, do you have any ideas why this might be the case?
Comment 2 M Welinder 2012-06-03 14:01:43 EDT
Confirmed Gtk+ 3.2 API break.  (They really do like to keep us busy.)
 
We have a bug over at bugzilla.gnome.org which I would link to were it not
for an "Internal Server Error".  Maybe later.
Comment 3 M Welinder 2012-06-04 10:31:48 EDT
The API was actually in Gtk+ 3.4, not 3.2.

https://bugzilla.gnome.org/show_bug.cgi?id=675089
Comment 4 Fedora Update System 2012-06-26 18:18:21 EDT
goffice-0.9.4-1.fc17,gnumeric-1.11.4-1.fc17,gnome-chemistry-utils-0.13.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/goffice-0.9.4-1.fc17,gnumeric-1.11.4-1.fc17,gnome-chemistry-utils-0.13.7-2.fc17
Comment 5 Peter Backes 2012-06-26 20:01:30 EDT
(In reply to comment #4)
> goffice-0.9.4-1.fc17,gnumeric-1.11.4-1.fc17,gnome-chemistry-utils-0.13.7-2.
> fc17 has been submitted as an update for Fedora 17.

I can confirm that this fixes the problem. Incidentally, it also fixes the unrelated problem of a stray, icon-less "Education" menu entry, at least in XFCE, with gnumeric as the only entry.
Comment 6 Fedora Update System 2012-06-27 23:45:35 EDT
Package goffice-0.9.4-1.fc17, gnumeric-1.11.4-1.fc17, gnome-chemistry-utils-0.13.7-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing goffice-0.9.4-1.fc17 gnumeric-1.11.4-1.fc17 gnome-chemistry-utils-0.13.7-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10026/goffice-0.9.4-1.fc17,gnumeric-1.11.4-1.fc17,gnome-chemistry-utils-0.13.7-2.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-07-05 19:42:49 EDT
goffice-0.9.4-1.fc17, gnumeric-1.11.4-1.fc17, gnome-chemistry-utils-0.13.7-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.